package com.bawt.hook;

public interface Client {
    public Mouse getMouse();

    public Keyboard getKeyboard();

    public StringWrapper getUsername();
    public StringWrapper getPassword();

    public Player getPlayerMe();

    public int[] getPlayerValids();
    public Player[] getPlayers();
    public int getPlayerCount();

    public int[] getMonsterValids();
    public Monster[] getMonsters();
    public int getMonsterCount();

    public StringWrapper[] getChatNames();
    public StringWrapper[] getChatMessages();
    public int[] getChatTypes();
    public int getChatStatePublic();
    public int getChatStatePrivate();
    public int getChatStateRequest();

    public int getWorldX();
    public int getWorldY();

    public int[] getSkillExperiencesMax();
    public int[] getSkillMaxes();
    public int[] getSkillLevels();
    public int[] getSkillExperiences();

    /*
    20 left ---
    public StringWrapper getChatText();

    public boolean isMenuOpen();
    public int getMenuOptionsCount();
    public StringWrapper[] getMenuOptions();
    public int getMenuType();
    public int getMenuX();
    public int getMenuY();
    public int getMenuWidth();
    public int getMenuHeight();

    public int getZHeightIndex();
    public int getCameraX();
    public int getCameraY();
    public int getCameraZ();
    public int getCameraAngle();
    public int getCameraPitch();
    
    public int getMapAngle();
    public int getMapAngleModifier();
    public int getMapAngleFactor();

    public int getFriendsCount();
    public StringWrapper[] getFriends();

    public int getTabIndex();

    TODO: Interface mapping's etc and world buffers...
    */
}
