package com.bawt.hook;

import java.awt.event.FocusEvent;

public abstract class Focus {
    public boolean toggle = true;

    public abstract void _focusGained(FocusEvent e);

    public abstract void _focusLost(FocusEvent e);

    public void focusGained(FocusEvent e) {
        if (toggle) {
            _focusGained(e);
        }
    }

    public void focusLost(FocusEvent e) {
        if (toggle) {
            _focusLost(e);
        }
    }
}
