package com.bawt.hook;

import java.awt.event.MouseEvent;

public abstract class Mouse extends Focus {
    public abstract void _mouseClicked(MouseEvent e);

    public abstract void _mousePressed(MouseEvent e);

    public abstract void _mouseReleased(MouseEvent e);

    public abstract void _mouseEntered(MouseEvent e);

    public abstract void _mouseExited(MouseEvent e);

    public abstract void _mouseDragged(MouseEvent e);

    public abstract void _mouseMoved(MouseEvent e);

    public void mouseClicked(MouseEvent e) {
        if (toggle) {
            _mouseClicked(e);
        }
    }

    public void mousePressed(MouseEvent e) {
        if (toggle) {
            _mousePressed(e);
        }
    }

    public void mouseReleased(MouseEvent e) {
        if (toggle) {
            _mouseReleased(e);
        }
    }

    public void mouseEntered(MouseEvent e) {
        if (toggle) {
            _mouseEntered(e);
        }
    }

    public void mouseExited(MouseEvent e) {
        if (toggle) {
            _mouseExited(e);
        }
    }

    public void mouseDragged(MouseEvent e) {
        if (toggle) {
            _mouseDragged(e);
        }
    }

    public void mouseMoved(MouseEvent e) {
        if (toggle) {
            _mouseMoved(e);
        }
    }
}
