package com.bawt.update;

import org.apache.bcel.generic.*;
import org.apache.bcel.classfile.ClassParser;

import java.io.*;
import java.util.jar.*;
import java.util.zip.*;

public class ClientPackage {
    private static byte[] unscrambler(byte abyte0[]) throws IOException {
        byte abyte1[] = new byte[2 + abyte0.length];
        ByteArrayOutputStream bytearrayoutputstream;
        abyte1[0] = 31;
        abyte1[1] = -117;
        System.arraycopy(abyte0, 0, abyte1, 2, abyte0.length);
        bytearrayoutputstream = new ByteArrayOutputStream();
        Pack200.newUnpacker().unpack(new GZIPInputStream(new ByteArrayInputStream(abyte1)), new JarOutputStream(bytearrayoutputstream));
        return bytearrayoutputstream.toByteArray();
    }

    public static void backup(int version) throws IOException {
        File f = new File("C:\\WINDOWS\\.jagex_cache_32\\runescape\\main_file_cache.dat0");
        int size = (int) f.length();
        RandomAccessFile raf = new RandomAccessFile(f, "rw");
        byte b[] = new byte[size];
        raf.readFully(b);

        File save = new File("backup\\jarcache." + version);
        save.createNewFile();
        RandomAccessFile rafsave = new RandomAccessFile(save, "rw");
        rafsave.write(b);
    }

    public static ClassGen[] unpack() throws IOException {
        File f = new File("C:\\WINDOWS\\.jagex_cache_32\\runescape\\main_file_cache.dat0");
        int size = (int) f.length();
        RandomAccessFile raf = new RandomAccessFile(f, "rw");
        byte b[] = new byte[size];
        raf.readFully(b);

        ClassGen[] classes = new ClassGen[0];

        ZipInputStream zis = new ZipInputStream(new ByteArrayInputStream(unscrambler(b)));
        byte buffer[] = new byte[1000];
        do {
            ZipEntry entry = zis.getNextEntry();
            if (entry == null) break;
            String name = entry.getName();
            if (name.endsWith(".class")) {
                name = name.substring(0, name.length() - 6);
                ByteArrayOutputStream bos = new ByteArrayOutputStream();
                do {
                    int i = zis.read(buffer, 0, 1000);
                    if (i == -1)
                        break;
                    bos.write(buffer, 0, i);
                } while (true);

                byte file[] = bos.toByteArray();

                ClassGen[] temp = new ClassGen[classes.length + 1];
                System.arraycopy(classes, 0, temp, 0, classes.length);
                temp[classes.length] = new ClassGen(new ClassParser(new ByteArrayInputStream(file), name).parse());
                classes = temp;
            }
        } while (true);
        zis.close();
        return classes;
    }
}
